diff -uNr nagiosql32.orig/admin/verify.php nagiosql32/admin/verify.php
--- nagiosql32.orig/admin/verify.php	2012-09-24 14:42:29.052342000 +0200
+++ nagiosql32/admin/verify.php	2012-09-24 13:42:30.000000000 +0200
@@ -10,7 +10,7 @@
 // Project   : NagiosQL
 // Component : Configuration verification
 // Website   : http://www.nagiosql.org
-// Date      : $LastChangedDate: 2012-09-24 14:42:29 +0200 (Mon, 24 Sep 2012) $
+// Date      : $LastChangedDate: 2012-09-24 14:42:29 +0200 (Mo, 24. Sep 2012) $
 // Author    : $LastChangedBy: martin $
 // Version   : 3.2.0
 // Revision  : $LastChangedRevision: 1347 $
diff -uNr nagiosql32.orig/functions/config_class.php nagiosql32/functions/config_class.php
--- nagiosql32.orig/functions/config_class.php	2017-05-20 19:36:57.228000000 +0200
+++ nagiosql32/functions/config_class.php	2013-01-10 09:46:14.000000000 +0100
@@ -10,10 +10,10 @@
 // Project   : NagiosQL
 // Component : Configuration Class
 // Website   : http://www.nagiosql.org
-// Date      : $LastChangedDate: 2012-04-17 11:47:05 +0200 (Di, 17. Apr 2012) $
+// Date      : $LastChangedDate: 2013-01-10 09:46:11 +0100 (Do, 10. Jan 2013) $
 // Author    : $LastChangedBy: martin $
 // Version   : 3.2.0
-// Revision  : $LastChangedRevision: 1319 $
+// Revision  : $LastChangedRevision: 1351 $
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////
 //
@@ -710,6 +710,8 @@
 				} else {
 					$this->myDataClass->writeLog(translate('Writing of the configuration failed - no dataset or not activated dataset found'));
 					$this->processClassMessage(translate('Writing of the configuration failed - no dataset or not activated dataset found')."::",$this->strErrorMessage);
+					$configtp->parse();
+					$booReturn 		= $this->writeConfigFile($configtp->get(),$strFile,0,$intConfigID,$resConfigFile,$strConfigFile);
 					return(1);
 				}
 				$configtp->parse();
@@ -1252,7 +1254,7 @@
                     	if ($strDataValue == 2) {$strDataValue = "*,";} else {$strDataValue = "";}
                     	foreach ($arrDataRel AS $data) {
 					  		if ($data['exclude'] == 0) {	
-                      			$strDataValue .= $data['strSlave'].",";
+								$strDataValue .= $data['strSlave'].",";
 					  		} else if ($this->intNagVersion >=3) {
 								$strDataValue .= "!".$data['strSlave'].","; 
 					  		}
diff -uNr nagiosql32.orig/functions/import_class.php nagiosql32/functions/import_class.php
--- nagiosql32.orig/functions/import_class.php	2017-05-20 19:36:57.228000000 +0200
+++ nagiosql32/functions/import_class.php	2012-09-18 09:44:24.000000000 +0200
@@ -10,10 +10,10 @@
 // Project   : NagiosQL
 // Component : Import Class
 // Website   : http://www.nagiosql.org
-// Date      : $LastChangedDate: 2012-04-17 11:47:05 +0200 (Di, 17. Apr 2012) $
+// Date      : $LastChangedDate: 2012-09-18 10:44:22 +0200 (Di, 18. Sep 2012) $
 // Author    : $LastChangedBy: martin $
 // Version   : 3.2.0
-// Revision  : $LastChangedRevision: 1319 $
+// Revision  : $LastChangedRevision: 1346 $
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////
 //
@@ -899,6 +899,7 @@
           			$booResult  = $this->myDBClass->insertData($strSQL);
 					if ($booResult == false) $this->strErrorMessage .= $this->myDBClass->strErrorMessage;
           			$intSlaveId = $this->myDBClass->intLastId;
+					
 					// Special processing for serviceextinfo
 					if (($strDataTable == "tbl_serviceextinfo") && ($strKey == "service_description")) {
 						$strSQL = "SELECT `id` FROM `tbl_host` WHERE `host_name`='".$arrImportData['host_name']['value']."'";
@@ -996,7 +997,7 @@
 					}
 					// Does the entry already exist?
 					$strSQL = "SELECT `id` FROM `".$arrRelData['tableName1']."` $strLink WHERE `".$arrRelData['target1']."` = '".$elem."'
-							   $strWhere AND `active`='1' AND `config_id`=".$this->intDomainId;
+							   $strWhere AND `config_id`=".$this->intDomainId;
 					$strId  = $this->myDBClass->getFieldData($strSQL);
 					if ($strId != "") {
 						$intSlaveId = $strId+0;
@@ -1013,7 +1014,7 @@
 					}
 					// Insert relations
 					$strSQL   	= "INSERT INTO `".$arrRelData['linkTable']."` SET `idMaster` = ".$intDataId.", `idSlave` = ".$intSlaveId.", 
-								   `exclude`=".$intExclude;
+								   `exclude`=".$intExclude;	   
 					$booResult  = $this->myDBClass->insertData($strSQL);
 					if ($booResult == false) $this->strErrorMessage .= $this->myDBClass->strErrorMessage;
 					// Keep values
@@ -1104,7 +1105,7 @@
       		// Process data values
       		foreach ($arrValues AS $elem) {
 				// Does the template already exist? (table 1)
-        		$strSQL = "SELECT `id` FROM `".$arrRelData['tableName1']."` WHERE `".$arrRelData['target1']."` = '".$elem."' AND `active`='1' 
+        		$strSQL = "SELECT `id` FROM `".$arrRelData['tableName1']."` WHERE `".$arrRelData['target1']."` = '".$elem."' 
 						   AND `config_id`=".$this->intDomainId;
         		$strId  = $this->myDBClass->getFieldData($strSQL);
         		if ($strId != "") {
@@ -1113,7 +1114,7 @@
         		}
         		if ($intSlaveId == 0) {
 					// Does the template already exist? (table 2)
-					$strSQL = "SELECT `id` FROM `".$arrRelData['tableName2']."` WHERE `".$arrRelData['target2']."` = '".$elem."' AND `active`='1' 
+					$strSQL = "SELECT `id` FROM `".$arrRelData['tableName2']."` WHERE `".$arrRelData['target2']."` = '".$elem."' 
 							   AND `config_id`=".$this->intDomainId;
 					$strId  = $this->myDBClass->getFieldData($strSQL);
 					if ($strId != "") {
@@ -1218,7 +1219,8 @@
       		// Process data values
       		foreach ($arrValues AS $elem) {
         		// Does the entry already exist?
-       			$strSQL = "SELECT `id` FROM `".$arrRelData['tableName1']."` WHERE `".$arrRelData['target1']."` = '".$elem."' AND `active`='1' AND `config_id`=".$this->intDomainId;
+       			$strSQL = "SELECT `id` FROM `".$arrRelData['tableName1']."` WHERE `".$arrRelData['target1']."` = '".$elem."' 
+						   AND `config_id`=".$this->intDomainId;
         		$strId  = $this->myDBClass->getFieldData($strSQL);
         		if ($strId != "") {
           			$intSlaveId = $strId+0;
@@ -1420,7 +1422,7 @@
 				}
 				// Does the entry already exist?
 				$strSQL = "SELECT `id` FROM `".$arrRelData['tableName1']."` WHERE `".$arrRelData['target1']."` = '".$elem."'
-						   $strWhere AND `active`='1' AND `config_id`=".$this->intDomainId;
+						   $strWhere AND `config_id`=".$this->intDomainId;
 				$strId  = $this->myDBClass->getFieldData($strSQL);
 				if ($strId != "") {
 					$intSlaveId = $strId+0;
diff -uNr nagiosql32.orig/functions/nag_class.php nagiosql32/functions/nag_class.php
--- nagiosql32.orig/functions/nag_class.php	2012-10-03 10:00:02.307645000 +0200
+++ nagiosql32/functions/nag_class.php	2012-10-03 09:00:04.000000000 +0200
@@ -10,7 +10,7 @@
 // Project   : NagiosQL
 // Component : Visualization Class
 // Website   : http://www.nagiosql.org
-// Date      : $LastChangedDate: 2012-10-03 10:00:02 +0200 (Wed, 03 Oct 2012) $
+// Date      : $LastChangedDate: 2012-10-03 10:00:02 +0200 (Mi, 03. Okt 2012) $
 // Author    : $LastChangedBy: martin $
 // Version   : 3.2.0
 // Revision  : $LastChangedRevision: 1349 $
diff -uNr nagiosql32.orig/functions/prepend_adm.php nagiosql32/functions/prepend_adm.php
--- nagiosql32.orig/functions/prepend_adm.php	2017-05-20 19:36:57.232000000 +0200
+++ nagiosql32/functions/prepend_adm.php	2013-01-10 09:46:14.000000000 +0100
@@ -9,14 +9,14 @@
 // Project   : NagiosQL
 // Component : Preprocessing script
 // Website   : http://www.nagiosql.org
-// Date      : $LastChangedDate: 2012-03-27 12:47:56 +0200 (Di, 27. Mär 2012) $
+// Date      : $LastChangedDate: 2013-01-10 09:46:11 +0100 (Do, 10. Jan 2013) $
 // Author    : $LastChangedBy: martin $
 // Version   : 3.2.0
-// Revision  : $LastChangedRevision: 1308 $
+// Revision  : $LastChangedRevision: 1351 $
 //
 ///////////////////////////////////////////////////////////////////////////////
 //error_reporting(E_ALL);
-error_reporting(E_ALL);
+error_reporting(E_ALL & ~E_STRICT);
 //
 // Security Protection
 // ===================
@@ -253,7 +253,7 @@
 		$_SESSION['userid']    = $arrDataUser[0]['id'];
 		$_SESSION['groupadm']  = $arrDataUser[0]['admin_enable'];
 		$_SESSION['startsite'] = $_SESSION['SETS']['path']['base_url']."admin.php";
-		$_SESSION['timestamp'] = mktime();
+		$_SESSION['timestamp'] = time();
 		$_SESSION['logged_in'] = 1;
 		$_SESSION['domain']    = $arrDataUser[0]['domain'];
 		// Update language settings
@@ -273,8 +273,10 @@
   	}
 }
 if (($_SESSION['logged_in'] == 0) && isset($chkInsName) && ($chkInsName != "") && ($intError == 0)) {
-	$strSQL    = "SELECT * FROM `tbl_user` WHERE `username`='".mysql_real_escape_string($chkInsName)."' 
-				  AND `password`=MD5('$chkInsPasswd') AND `active`='1'";
+	$chkInsName   = mysql_real_escape_string($chkInsName);
+	$chkInsPasswd = mysql_real_escape_string($chkInsPasswd);
+	$strSQL    = "SELECT * FROM `tbl_user` WHERE `username`='".$chkInsName."' 
+				  AND `password`=MD5('".$chkInsPasswd."') AND `active`='1'";
   	$booReturn = $myDBClass->getDataArray($strSQL,$arrDataUser,$intDataCount);
   	if ($booReturn == false) {
     	$myVisClass->processMessage(translate('Error while selecting data from database:'),$strErrorMessage);
@@ -286,7 +288,7 @@
 		$_SESSION['userid']    = $arrDataUser[0]['id'];
 		$_SESSION['groupadm']  = $arrDataUser[0]['admin_enable'];
 		$_SESSION['startsite'] = $_SESSION['SETS']['path']['base_url'] ."admin.php";
-		$_SESSION['timestamp'] = mktime();
+		$_SESSION['timestamp'] = time();
 		$_SESSION['logged_in'] = 1;
 		$_SESSION['domain']    = $arrDataUser[0]['domain'];
 		// Update language settings
@@ -327,9 +329,9 @@
 		$myVisClass->processMessage($myDBClass->strErrorMessage,$strErrorMessage);
   	} else if ($intDataCount == 1) {
     	// Time expired?
-    	if (mktime() - $_SESSION['timestamp'] > $_SESSION['SETS']['security']['logofftime']) {
+    	if (time() - $_SESSION['timestamp'] > $_SESSION['SETS']['security']['logofftime']) {
       		// Force new login
-      		$myDataClass->writeLog(translate('Session timeout reached - Seconds:')." ".(mktime() - $_SESSION['timestamp']." - User: ".$_SESSION['username']));
+      		$myDataClass->writeLog(translate('Session timeout reached - Seconds:')." ".(time() - $_SESSION['timestamp']." - User: ".$_SESSION['username']));
       		$_SESSION['logged_in'] = 0;
 			
       		header("Location: ".$_SESSION['SETS']['path']['protocol']."://".$_SERVER['HTTP_HOST'].$_SESSION['SETS']['path']['base_url']."index.php");
@@ -345,7 +347,7 @@
         		}
       		}
       		// Update login time
-      		$_SESSION['timestamp'] = mktime();
+      		$_SESSION['timestamp'] = time();
 	  		if (isset($preContent) && ($preContent == "index.tpl.htm")) {
 		  		header("Location: ".$_SESSION['SETS']['path']['protocol']."://".$_SERVER['HTTP_HOST'].$_SESSION['startsite']);
 	  		}
diff -uNr nagiosql32.orig/functions/prepend_content.php nagiosql32/functions/prepend_content.php
--- nagiosql32.orig/functions/prepend_content.php	2017-05-20 19:36:57.232000000 +0200
+++ nagiosql32/functions/prepend_content.php	2012-05-03 08:10:06.000000000 +0200
@@ -144,14 +144,14 @@
 $chkButValue3	= isset($_POST['butValue3'])	? $_POST['butValue3']		: "";			// Common button value
 $chkButValue4	= isset($_POST['butValue4'])	? $_POST['butValue4']		: "";			// Common button value
 $chkButValue5	= isset($_POST['butValue5'])	? $_POST['butValue5']		: "";			// Common button value
-$chkTfNullVal1	= (isset($_POST['tfNullVal1']) && ($_POST['tfNullVal1'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal1']) : "NULL";	// Common text NULL field value
-$chkTfNullVal2	= (isset($_POST['tfNullVal2']) && ($_POST['tfNullVal2'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal2']) : "NULL";	// Common text NULL field value
-$chkTfNullVal3	= (isset($_POST['tfNullVal3']) && ($_POST['tfNullVal3'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal3']) : "NULL";	// Common text NULL field value
-$chkTfNullVal4	= (isset($_POST['tfNullVal4']) && ($_POST['tfNullVal4'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal4']) : "NULL";	// Common text NULL field value
-$chkTfNullVal5	= (isset($_POST['tfNullVal5']) && ($_POST['tfNullVal5'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal5']) : "NULL";	// Common text NULL field value
-$chkTfNullVal6	= (isset($_POST['tfNullVal6']) && ($_POST['tfNullVal6'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal6']) : "NULL";	// Common text NULL field value
-$chkTfNullVal7	= (isset($_POST['tfNullVal7']) && ($_POST['tfNullVal7'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal7']) : "NULL";	// Common text NULL field value
-$chkTfNullVal8	= (isset($_POST['tfNullVal8']) && ($_POST['tfNullVal8'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal8']) : "NULL";	// Common text NULL field value
+$chkTfNullVal1	= (isset($_POST['tfNullVal1']) && ($_POST['tfNullVal1'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal1'])+0 : "NULL";	// Common text NULL field value
+$chkTfNullVal2	= (isset($_POST['tfNullVal2']) && ($_POST['tfNullVal2'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal2'])+0 : "NULL";	// Common text NULL field value
+$chkTfNullVal3	= (isset($_POST['tfNullVal3']) && ($_POST['tfNullVal3'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal3'])+0 : "NULL";	// Common text NULL field value
+$chkTfNullVal4	= (isset($_POST['tfNullVal4']) && ($_POST['tfNullVal4'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal4'])+0 : "NULL";	// Common text NULL field value
+$chkTfNullVal5	= (isset($_POST['tfNullVal5']) && ($_POST['tfNullVal5'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal5'])+0 : "NULL";	// Common text NULL field value
+$chkTfNullVal6	= (isset($_POST['tfNullVal6']) && ($_POST['tfNullVal6'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal6'])+0 : "NULL";	// Common text NULL field value
+$chkTfNullVal7	= (isset($_POST['tfNullVal7']) && ($_POST['tfNullVal7'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal7'])+0 : "NULL";	// Common text NULL field value
+$chkTfNullVal8	= (isset($_POST['tfNullVal8']) && ($_POST['tfNullVal8'] != "")) ? $myVisClass->checkNull($_POST['tfNullVal8'])+0 : "NULL";	// Common text NULL field value
 //
 // Quote special characters
 // ==========================
diff -uNr nagiosql32.orig/templates/admin/servicedependencies.tpl.htm nagiosql32/templates/admin/servicedependencies.tpl.htm
--- nagiosql32.orig/templates/admin/servicedependencies.tpl.htm	2013-01-10 09:46:11.799949000 +0100
+++ nagiosql32/templates/admin/servicedependencies.tpl.htm	2013-01-10 09:46:14.000000000 +0100
@@ -3,7 +3,7 @@
 <!-- Project    : NagiosQL -->
 <!-- Component  : servicedependencies template -->
 <!-- Website    : http://www.nagiosql.org -->
-<!-- Date       : $LastChangedDate: 2013-01-10 09:46:11 +0100 (Thu, 10 Jan 2013) $ -->
+<!-- Date       : $LastChangedDate: 2013-01-10 09:46:11 +0100 (Do, 10. Jan 2013) $ -->
 <!-- Author     : $LastChangedBy: martin $ -->
 <!-- Version    : 3.2.0 -->
 <!-- Revision   : $LastChangedRevision: 1351 $ -->
